'use strict';

var path = require('path');
var webpack = require('webpack');
var CleanWebpackPlugin = require('clean-webpack-plugin');
var ExtractTextPlugin = require('extract-text-webpack-plugin');


let baseConfig = Object.assign({}, require('./webpack.config'));

baseConfig.entry = path.join(__dirname, '/dev-server/client.js');

baseConfig.resolve = {
    alias: {
        'vue$': 'vue/dist/vue.common.js'
    }
};
baseConfig.plugins = [
    new CleanWebpackPlugin(['dist'], {
        root: process.cwd(),
        verbose: true,
        dry: false
    }),
    new ExtractTextPlugin("radio.css"),

];

module.exports = baseConfig;